<style scoped>
</style>
<template>
    <div>
        <v-tabs icons-and-text centered dark color="blue">
            <v-tabs-slider color="yellow"></v-tabs-slider>
            <v-tab href="#tab-1">
                Accessibility
                <v-icon>accessible</v-icon>
            </v-tab>
            <v-tab href="#tab-2">
                Fire
                <v-icon>whatshot</v-icon>
            </v-tab>

            <v-tab-item v-for="i in 2" :key="i" :id="'tab-' + i">
                <v-container fluid grid-list-xl>
                    <v-layout wrap align-center>
                        <v-flex xs12 sm6 d-flex>
                            <v-select :items="items1" label="Country" solo></v-select>
                        </v-flex>

                        <v-flex xs12 sm6 d-flex>
                            <v-select :items="items2" label="Ruleset" solo></v-select>
                        </v-flex>
                    </v-layout>
                </v-container>
                <div class="d-flex justify-between align-center mb-3">
                    <v-btn @click="all">all</v-btn>
                    <v-btn @click="none">none</v-btn>
                </div>
                <RuleSet class="item" :model="treeData"/>
            </v-tab-item>
        </v-tabs>
    </div>
</template>
<script>

    import RuleSet from './rule-set';

    export default {
        data: () => ({
            items1: ['US', 'Norway', 'France', 'Papua New Guinea'],
            items2: ['ADA 2018', 'FDA 2017', 'NFPA 2016', 'World Cup 2016', 'My Custom Ruleset'],
            treeData: data,

        }),
        name: "RuleManager",
        components: {

            RuleSet
        },
        methods: {
            // Create an array the length of our items
            // with all values as true
            all() {
                this.panel = [...Array(this.items).keys()].map(_ => true)
            },
            // Reset the panel
            none() {
                this.panel = []
            }
        }
    };

    var data = {
        name: 'ADA 2018',
        toolTipText: "This is the first rule",
        children: [
            {
                name: 'Rule #1'
            },
            {
                name: 'Rule #2'
            },
            {
                name: 'Rule #3',
                children: [
                    {
                        name: 'Sub-Rule #1',
                        children: [
                            {
                                name: 'Sub-Sub-Rule #1'
                            },
                            {
                                name: 'Sub-Sub-Rule #2'
                            }
                        ]
                    },
                    {
                        name: 'Sub-Rule #1'
                    },
                    {
                        name: 'Sub-Rule #2'
                    },
                    {
                        name: 'Sub-Rule #3',
                        children: [
                            {
                                name: 'Sub-Sub-Rule #1'
                            },
                            {
                                name: 'Sub-Sub-Rule #2'
                            }
                        ]
                    }
                ]
            }
        ]
    }

</script>
